Loading...
Searching...
No Matches
solver_abtb_basic< T, M >

## Detailed Description

template<class T, class M = rheo_default_memory_model>
class rheolef::solver_abtb_basic< T, M >

Definition at line 115 of file solver_abtb.h.

## Public Types

typedef csr< T, M >::size_type | size_type

## Public Member Functions

| solver_abtb_basic ()
| solver_abtb_basic (const csr< T, M > &a, const csr< T, M > &b, const csr< T, M > &mp, const solver_option &opt=solver_option())
| solver_abtb_basic (const csr< T, M > &a, const csr< T, M > &b, const csr< T, M > &c, const csr< T, M > &mp, const solver_option &opt=solver_option())
void | solve (const vec< T, M > &f, const vec< T, M > &g, vec< T, M > &u, vec< T, M > &p) const
bool | initialized () const
const solver_option & | option () const
void | set_inner_solver (const solver_basic< T, M > &sa)
void | set_preconditioner (const solver_basic< T, M > &smp)
std::string | name () const
std::string | inner_name () const
std::string | preconditionner_name () const

## Protected Member Functions

void | init ()

## Protected Attributes

solver_option | _opt
csr< T, M > | _a
csr< T, M > | _b
csr< T, M > | _c
csr< T, M > | _mp
solver_basic< T, M > | _sA
solver_basic< T, M > | _sa
solver_basic< T, M > | _smp
bool | _need_constraint

## Member Typedef Documentation

## size_type

template<class T , class M = rheo_default_memory_model>

typedef csr<T,M>::size_type size_type

Definition at line 120 of file solver_abtb.h.

## Constructor & Destructor Documentation

## solver_abtb_basic() [1/3]

template<class T , class M >

solver_abtb_basic | ( |  | ) |

Definition at line 27 of file solver_abtb.cc.

## solver_abtb_basic() [2/3]

template<class T , class M >

solver_abtb_basic | ( | const csr< T, M > & | a,
|  | const csr< T, M > & | b,
|  | const csr< T, M > & | mp,
|  | const solver_option & | opt = `solver_option()`
| ) |  |

Definition at line 40 of file solver_abtb.cc.

## solver_abtb_basic() [3/3]

template<class T , class M >

solver_abtb_basic | ( | const csr< T, M > & | a,
|  | const csr< T, M > & | b,
|  | const csr< T, M > & | c,
|  | const csr< T, M > & | mp,
|  | const solver_option & | opt = `solver_option()`
| ) |  |

Definition at line 59 of file solver_abtb.cc.

## Member Function Documentation

## solve()

template<class T , class M >

void solve | ( | const vec< T, M > & | f,
|  | const vec< T, M > & | g,
|  | vec< T, M > & | u,
|  | vec< T, M > & | p
| ) |  | const

Definition at line 117 of file solver_abtb.cc.

## initialized()

template<class T , class M >

bool initialized | ( |  | ) | const

Definition at line 156 of file solver_abtb.cc.

## option()

template<class T , class M = rheo_default_memory_model>

const solver_option & option | ( |  | ) | const

Definition at line 134 of file solver_abtb.h.

## set_inner_solver()

template<class T , class M = rheo_default_memory_model>

void set_inner_solver | ( | const solver_basic< T, M > & | sa | ) |

Definition at line 135 of file solver_abtb.h.

## set_preconditioner()

template<class T , class M = rheo_default_memory_model>

void set_preconditioner | ( | const solver_basic< T, M > & | smp | ) |

Definition at line 136 of file solver_abtb.h.

## name()

template<class T , class M = rheo_default_memory_model>

std::string name | ( |  | ) | const

Definition at line 137 of file solver_abtb.h.

## inner_name()

template<class T , class M = rheo_default_memory_model>

std::string inner_name | ( |  | ) | const

Definition at line 138 of file solver_abtb.h.

## preconditionner_name()

template<class T , class M = rheo_default_memory_model>

std::string preconditionner_name | ( |  | ) | const

Definition at line 139 of file solver_abtb.h.

## init()

template<class T , class M >

void init | ( |  | ) |

protected

Definition at line 79 of file solver_abtb.cc.

## Member Data Documentation

## _opt

template<class T , class M = rheo_default_memory_model>

solver_option _opt

mutable protected

Definition at line 146 of file solver_abtb.h.

## _a

template<class T , class M = rheo_default_memory_model>

csr<T,M> _a

protected

Definition at line 147 of file solver_abtb.h.

## _b

template<class T , class M = rheo_default_memory_model>

csr<T,M> _b

protected

Definition at line 148 of file solver_abtb.h.

## _c

template<class T , class M = rheo_default_memory_model>

csr<T,M> _c

protected

Definition at line 149 of file solver_abtb.h.

## _mp

template<class T , class M = rheo_default_memory_model>

csr<T,M> _mp

protected

Definition at line 150 of file solver_abtb.h.

## _sA

template<class T , class M = rheo_default_memory_model>

solver_basic<T,M> _sA

protected

Definition at line 151 of file solver_abtb.h.

## _sa

template<class T , class M = rheo_default_memory_model>

solver_basic<T,M> _sa

mutable protected

Definition at line 152 of file solver_abtb.h.

## _smp

template<class T , class M = rheo_default_memory_model>

solver_basic<T,M> _smp

mutable protected

Definition at line 153 of file solver_abtb.h.

## _need_constraint

template<class T , class M = rheo_default_memory_model>

bool _need_constraint

protected

Definition at line 154 of file solver_abtb.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/solver_abtb.h
- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/solver_abtb.cc